Skip to main content

Løs opp "Advarsel: SSH versjon 1 mulig tillatt" fra Plesk Watchdog

Løs opp "Advarsel: SSH versjon 1 mulig tillatt" fra Plesk Watchdog

Geoffrey Carr

Dette tipset vil ikke være nyttig for alle, men for alle med en dedikert server vil du sannsynligvis være kjent med denne feilmeldingen som sendes ukentlig fra sikkerhetsskanneren på serveren din.

Feilmeldingen jeg får fra "vakthund" en gang i uken ser slik ut:

Security scanning generated the following warnings (the full scanning logis available at /var/log/rkhunter.log):

[01:01:51] ————————- Security advisories ————————-[01:01:52] Warning: SSH version 1 possible allowed!

For å fikse dette problemet må vi redigere filen sshd_config, som er hovedkonfigurasjonsfilen for sshd-tjenesten. Plasseringen vil noen ganger være annerledes, men det er vanligvis i / etc / ssh /. Åpne filen når du logget på som root.

Merk: Vær forsiktig, hvis du skruer dette opp, vil du ikke kunne ssh til serveren din lenger ...

vi /etc/ssh/sshd_config

Finn denne delen i filen, som inneholder linjen med "Protokol" i den. Her er hvor problemet er ... Vi må eksplisitt fortelle sshd-tjenesten å bare bruke versjon 2.

#Port 22#Protocol 2,1#ListenAddress 0.0.0.0#ListenAddress ::

Hvis linjen er kommentert eller har begge 2,1 i den, må du se slik ut (la de andre linjene stå alene)

Protocol 2

Nå må du starte sshd-tjenesten på nytt:

/etc/init.d/sshd restart

Du bør ikke få disse feilmeldingene lenger.

Link
Plus
Send
Send
Pin